<?php

include_once('Conf.class.inc.php');


class GallyFunctions {

  /**
   * expand the menu of a theme, according to the .conf file
   *
   * @param String $themeDir : the theme directory
   */
  static public function expandMenu($themeDir)
  {
    $config = new Conf();
    $config->setFileName(PHPWG_THEMES_PATH.$themeDir.'/conf/default.conf');
    $config->read();
    $config->setFileName(PHPWG_ROOT_PATH.PWG_LOCAL_DIR."themes/".$themeDir."/conf/local.conf");
    $config->read(false);

    if($config->getConfValue('expandMenu')=='yes')
    {
      add_event_handler('get_categories_menu_sql_where', Array('GallyFunctions', 'expandMenuEvent'));
    }
  }

  /**
   * function used with the 'get_categories_menu_sql_where' function
   *
   * DO NOT USE IT DIRECTLY
   */
  static public function expandMenuEvent($where)
  {
    $where=get_sql_condition_FandF(array('visible_categories' => 'id'), null, true);
    return($where);
  }
}





?>
